beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Etienne Chauchot (JIRA)" <>
Subject [jira] [Commented] (BEAM-2347) Elasticsearch IO - test ES 5?
Date Wed, 24 May 2017 13:10:04 GMT


Etienne Chauchot commented on BEAM-2347:

[~sisk] actually, the whole ES IO is only compatible with ES 2.x (this incompatibility is
not related to the client version), there is an open ticket (
about providing support for ES 5.x. We use ES REST client because REST protocol allows decoupling
ES client and ES server. This REST client appeared in ES v5. There is no relation with the
java version. I will resume working on ES v5 support and I'll update the IT when the IO supports
both ES v2.x and ES v5.x

> Elasticsearch IO - test ES 5? 
> ------------------------------
>                 Key: BEAM-2347
>                 URL:
>             Project: Beam
>          Issue Type: Bug
>          Components: sdk-java-extensions
>            Reporter: Stephen Sisk
>            Assignee: Jean-Baptiste Onofré
> Currently, the ES IO transform uses the v5 REST API client, but the integration tests
only work against ES 2x
> I'm guessing this is because the ES 5x java client only supports java 8 -
> I don't know ES particularly well, but I'm guessing it'd be nice to make the ITs work
against ES 5 as well as ES 2. It seems like there are two options for this: 
> 1. Make the ITs java-8 only (as is done in HadoopInputFormat ITs)
> 2. Switch the ITs to use the ES5 REST API client, which supports java 7.
> [~echauchot] am I missing anything here?

This message was sent by Atlassian JIRA

View raw message